CAD/CAM discussion forum > CAD Tutorial & Tips > Use lisp to have autocad delete layer filters

Use lisp to have autocad delete layer filters

    
  Subscribe Topic

Rank: 1

AhmedF1226

Newbie

posts: 1

Registered: 2012-6-18

Message 1 of 1

 Use lisp to have autocad delete layer filters
12-07-2012 01:12 . pm   |   View his/her posts only
Use lisp to have autocad delete layer filters, share~

(defun C:LFD ()
(vl-Load-Com)
(vl-Catch-All-Apply
'(lambda ()
(vla-Remove (vla-GetExtensionDictionary
(vla-Get-Layers
(vla-Get-ActiveDocument
(vlax-Get-Acad-Object))))
"ACAD_LAYERFILTERS")))
(princ "\nAll layer filters have been deleted.")
(princ)
)


this layer filter delete lisp do not decrease size as autocad
Is VL still not included


zwcad vs autocad
http://www.zwsoft.com/zwcad+/
See also
X